GriffonMvcArtifact (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonMvcArtifact

    griffon.core.ResourceHandler
      griffon.core.ApplicationHandler
          griffon.core.GriffonArtifact
              griffon.core.GriffonMvcArtifact
                  griffon.core.MVCHandler
                      griffon.core.ThreadingHandler

All Superinterfaces:
  ResourceHandler, ApplicationHandler, GriffonArtifact, MVCHandler, ThreadingHandler

    public interface GriffonMvcArtifact
    extends GriffonArtifact

Identifies an artifact that belongs to an MVC group.

The main difference between `buildMVCGroup` and `createMVCGroup` methods is that the formers will return a Map of instances where there could be more than strict MVC members (like actions or charts), the latters will always return the canonical MVC members of a group and nothing more.

Authors:
  Andres Almiray

Since:
  0.9.1

Method Summary
`void` | `mvcGroupDestroy()` Callback for when the group is destroyed and disposed from the application.
`void` | `mvcGroupInit(Map args)` Post initialization callback.

Methods inherited from interface GriffonArtifact
getGriffonClass, getLog, getMetaClass, newInstance

Methods inherited from interface ResourceHandler
getResourceAsStream, getResourceAsURL, getResources

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface MVCHandler
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from interface ThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Method Detail

### mvcGroupDestroy

    public void mvcGroupDestroy()

  Callback for when the group is destroyed and disposed from the application.

  Once an artifact has been "destroyed" it should not be used anymore. The application will remove any references to the group on its cache.

### mvcGroupInit

    public void mvcGroupInit(Map args)

  Post initialization callback.

  This callback is called for all artifacts that belong to the same MVC group right after each instance has been created. Each entry on the `args` Map points either to an MVC member or a variable that was defined using any of the `buildMVCGroup` and/or `createMVCGroup` methods that can take a Map as parameter.

  Parameters:
    `args` - a Map of MVC instances or variables keyed by type.

Groovy Documentation